Loading...
Searching...
No Matches
Magick::CoderInfo Class Reference

## Public Types

enum | MatchType { AnyMatch , TrueMatch , FalseMatch }

## Public Member Functions

| CoderInfo (const CoderInfo &coder_)
| CoderInfo (const std::string &name_)
CoderInfo & | operator= (const CoderInfo &coder_)
bool | canReadMultithreaded (void) const
bool | canWriteMultithreaded (void) const
std::string | description (void) const
bool | isMultiFrame (void) const
bool | isReadable (void) const
bool | isWritable (void) const
std::string | mimeType (void) const
std::string | module (void) const
std::string | name (void) const
bool | unregister (void) const

## Private Attributes

bool | _decoderThreadSupport
std::string | _description
bool | _encoderThreadSupport
bool | _isMultiFrame
bool | _isReadable
bool | _isWritable
std::string | _mimeType
std::string | _module
std::string | _name

## Detailed Description

Definition at line 21 of file CoderInfo.h.

## Member Enumeration Documentation

## MatchType

enum Magick::CoderInfo::MatchType

Definition at line 25 of file CoderInfo.h.

{
AnyMatch, // match any coder
TrueMatch, // match coder if true
FalseMatch // match coder if false
};

## Constructor & Destructor Documentation

## CoderInfo() [1/3]

Magick::CoderInfo::CoderInfo | ( | void |  | ) |

Definition at line 20 of file CoderInfo.cpp.

: _decoderThreadSupport(false),
_description(),
_encoderThreadSupport(false),
_isMultiFrame(false),
_isReadable(false),
_isWritable(false),
_mimeType(),
_module(),
_name()
{
}

## CoderInfo() [2/3]

Magick::CoderInfo::CoderInfo | ( | const CoderInfo & | coder_ | ) |

Definition at line 33 of file CoderInfo.cpp.

: _decoderThreadSupport(coder_._decoderThreadSupport),
_description(coder_._description),
_encoderThreadSupport(coder_._encoderThreadSupport),
_isMultiFrame(coder_._isMultiFrame),
_isReadable(coder_._isReadable),
_isWritable(coder_._isWritable),
_mimeType(coder_._mimeType),
_module(coder_._module),
_name(coder_._name)
{
}

## CoderInfo() [3/3]

Magick::CoderInfo::CoderInfo | ( | const std::string & | name_ | ) |

Definition at line 46 of file CoderInfo.cpp.

: _decoderThreadSupport(false),
_description(),
_encoderThreadSupport(false),
_isMultiFrame(false),
_isReadable(false),
_isWritable(false),
_mimeType(),
_module(),
_name()
{
const Magick::MagickInfo
*magickInfo;
GetPPException;
magickInfo=GetMagickInfo(name_.c_str(),exceptionInfo);
ThrowPPException(true);
if (magickInfo == 0)
throwExceptionExplicit(MagickCore::OptionError,"Coder not found",
name_.c_str());
else
{
_decoderThreadSupport=(GetMagickDecoderThreadSupport(magickInfo) ==
MagickTrue) ? true : false;
_description=std::string(magickInfo->description);
_encoderThreadSupport=(GetMagickEncoderThreadSupport(magickInfo) ==
MagickTrue) ? true : false;
_isMultiFrame=(GetMagickAdjoin(magickInfo) == MagickTrue) ? true : false;
_isReadable=((magickInfo->decoder == (MagickCore::DecodeImageHandler *)
NULL) ? false : true);
_isWritable=((magickInfo->encoder == (MagickCore::EncodeImageHandler *)
NULL) ? false : true);
_mimeType=std::string(magickInfo->mime_type != (char *) NULL ?
magickInfo->mime_type : "");
_module=std::string(magickInfo->magick_module);
_name=std::string(magickInfo->name);
}
}

## ~CoderInfo()

Magick::CoderInfo::~CoderInfo | ( | void |  | ) |

Definition at line 85 of file CoderInfo.cpp.

{
}

## Member Function Documentation

## canReadMultithreaded()

bool Magick::CoderInfo::canReadMultithreaded | ( | void |  | ) | const

Definition at line 107 of file CoderInfo.cpp.

{
return(_decoderThreadSupport);
}

## canWriteMultithreaded()

bool Magick::CoderInfo::canWriteMultithreaded | ( | void |  | ) | const

Definition at line 112 of file CoderInfo.cpp.

{
return(_encoderThreadSupport);
}

## description()

std::string Magick::CoderInfo::description | ( | void |  | ) | const

Definition at line 117 of file CoderInfo.cpp.

{
return(_description);
}

## isMultiFrame()

bool Magick::CoderInfo::isMultiFrame | ( | void |  | ) | const

Definition at line 132 of file CoderInfo.cpp.

{
return(_isMultiFrame);
}

## isReadable()

bool Magick::CoderInfo::isReadable | ( | void |  | ) | const

Definition at line 122 of file CoderInfo.cpp.

{
return(_isReadable);
}

## isWritable()

bool Magick::CoderInfo::isWritable | ( | void |  | ) | const

Definition at line 127 of file CoderInfo.cpp.

{
return(_isWritable);
}

## mimeType()

std::string Magick::CoderInfo::mimeType | ( | void |  | ) | const

Definition at line 137 of file CoderInfo.cpp.

{
return(_mimeType);
}

## module()

std::string Magick::CoderInfo::module | ( | void |  | ) | const

Definition at line 142 of file CoderInfo.cpp.

{
return(_module);
}

## name()

std::string Magick::CoderInfo::name | ( | void |  | ) | const

Definition at line 147 of file CoderInfo.cpp.

{
return(_name);
}

## operator=()

Magick::CoderInfo & Magick::CoderInfo::operator= | ( | const CoderInfo & | coder_ | ) |

Definition at line 89 of file CoderInfo.cpp.

{
// If not being set to ourself
if (this != &coder_)
{
_decoderThreadSupport=coder_._decoderThreadSupport;
_description=coder_._description;
_encoderThreadSupport=coder_._encoderThreadSupport;
_isMultiFrame=coder_._isMultiFrame;
_isReadable=coder_._isReadable;
_isWritable=coder_._isWritable;
_mimeType=coder_._mimeType;
_module=coder_._module;
_name=coder_._name;
}
return(*this);
}

## unregister()

bool Magick::CoderInfo::unregister | ( | void |  | ) | const

Definition at line 152 of file CoderInfo.cpp.

{
return(UnregisterMagickInfo(_name.c_str()) != MagickFalse);
}

## Field Documentation

## _decoderThreadSupport

bool Magick::CoderInfo::_decoderThreadSupport

private

Definition at line 77 of file CoderInfo.h.

## _description

std::string Magick::CoderInfo::_description

private

Definition at line 78 of file CoderInfo.h.

## _encoderThreadSupport

bool Magick::CoderInfo::_encoderThreadSupport

private

Definition at line 79 of file CoderInfo.h.

## _isMultiFrame

bool Magick::CoderInfo::_isMultiFrame

private

Definition at line 80 of file CoderInfo.h.

## _isReadable

bool Magick::CoderInfo::_isReadable

private

Definition at line 81 of file CoderInfo.h.

## _isWritable

bool Magick::CoderInfo::_isWritable

private

Definition at line 82 of file CoderInfo.h.

## _mimeType

std::string Magick::CoderInfo::_mimeType

private

Definition at line 83 of file CoderInfo.h.

## _module

std::string Magick::CoderInfo::_module

private

Definition at line 84 of file CoderInfo.h.

## _name

std::string Magick::CoderInfo::_name

private

Definition at line 85 of file CoderInfo.h.

The documentation for this class was generated from the following files:

- CoderInfo.h
- CoderInfo.cpp